Loading...
Searching...
No Matches
ElasticSearchDataProvider::ElasticSearchDataProviderFactory Class Reference

The ElasticSearch data provider factory: `elasticsearch`. More...

`#include <ElasticSearchDataProviderFactory.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchDataProviderFactory:
[legend]

## Protected Member Functions

Qore::Reflection::Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProvider::DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info.
hash< DataProvider::DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information.

## Protected Attributes

const | FactoryInfo
| Factory info.

## Static Protected Attributes

static Class | cls = new Class("ElasticSearchDataProvider")
| Data provider type info.

## Detailed Description

The ElasticSearch data provider factory: `elasticsearch`.

## Member Function Documentation

## getInfoImpl()

hash< DataProvider::DataProviderFactoryInfo > ElasticSearchDataProvider::ElasticSearchDataProviderFactory::getInfoImpl | ( |  | ) |

protectedvirtual

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

Implements DataProvider::AbstractDataProviderFactory.

## getProviderInfoImpl()

hash< DataProvider::DataProviderInfo > ElasticSearchDataProvider::ElasticSearchDataProviderFactory::getProviderInfoImpl | ( |  | ) |

protectedvirtual

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes

Implements DataProvider::AbstractDataProviderFactory.